<?php
declare(strict_types=1);

namespace Catequil\Barcode\Handler;

use Catequil\Barcode\Service\BarcodeServiceInterface;
use Psr\Http\Server\RequestHandlerInterface;

/**
 * Class AbstractHandler
 *
 * @package Catequil\Barcode\Handler
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-barcode
 */
abstract class AbstractHandler implements RequestHandlerInterface
{
    protected BarcodeServiceInterface $barcodes;

    /**
     * @param BarcodeServiceInterface $barcodes
     */
    public function __construct(BarcodeServiceInterface $barcodes)
    {
        $this->barcodes = $barcodes;
    }
}