<?php
declare(strict_types=1);

namespace Catequil\Barcode\Resolver;

/**
 * Interface ResolverInterface
 *
 * @package Catequil\Barcode\Resolver
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-barcode
 */
interface ResolverInterface
{
    public function combine(int|string $value): ?string;
    public function resolve(string $barcode): null|int|string;
}