<?php
declare(strict_types=1);

namespace Catequil\Barcode;

use Laminas\ServiceManager\ServiceManager;
use Psr\Container\ContainerInterface;

$config = include __DIR__ . '/config.php';
$config['dependencies']['services']['config'] = $config;

$container = new ServiceManager($config['dependencies']);
$container->setService(ContainerInterface::class, $container);

return $container;