<?php
declare(strict_types=1);

namespace Catequil\Barcode\Model;

/**
 * Interface BarcodeInterface
 *
 * @package Catequil\Barcode\Model
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-barcode
 */
interface BarcodeInterface
{
    public function getId(): int;
    public function getBarcode(): string;
    public function setBarcode(string $barcode): void;
    public function getSku(): string;
    public function setSku(string $sku): void;
}
