<?php
declare(strict_types=1);

namespace Catequil\Barcode\Service;

/**
 * Interface BarcodeServiceInterface
 *
 * @package Catequil\Barcode\Service
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-barcode
 */
interface BarcodeServiceInterface
{
    public function combine(string $type, int|string $value): string;
    public function generate(string $value): string;
    public function resolve(string $type, string $barcode): int|string;
}
